Summary: UNICORE Target System Interface (TSI)
Name: unicore-tsi
Version: 6.4.1
Release: 1
License: BSD
Group: contrib/misc
URL: http://www.unicore.eu/
Requires: perl
BuildArch: noarch
Packager: Bjoern Hagemeier unicore-support@lists.sourceforge.net

%define _rpmdir .
%define _rpmfilename %%{NAME}-%%{VERSION}-%%{RELEASE}.%%{ARCH}.rpm
%define _unpackaged_files_terminate_build 1

%description
UNICORE (Uniform Interface to Computing Resources) offers a
ready-to-run Grid system including client and server software.
UNICORE makes distributed computing and data resources available
in a seamless and secure way in intranets and the internet.

This package contains the UNICORE Target System Interface (TSI),
wrapping LRMS specific details behind an abstract interface. The TSI
is the only UNICORE component required to run as root.

%changelog
* Tue Sep 6 2011 Bernd Schuller <unicore-support@lists.sourceforge.net> 
-v6.4.1, update packaging code
* Fri Feb 11 2011 Bjoern Hagemeier <unicore-support@lists.sourceforge.net> 
-Initial rpm package

%files
%config "/etc/unicore/tsi"
%config "/etc/init.d/unicore-tsi"
%dir "/var/log/unicore"
%dir "/usr/share/unicore/tsi"
"/usr/share/unicore/tsi/*"


%post
#link for tsi.properties --- this is wrong
ln -s /usr/share/unicore/tsi/conf/tsi.properties /etc/unicore/tsi/tsi.properties
#TODO docs

%preun
rm -f /etc/unicore/tsi/tsi.properties
